Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.simple
Class RDBMUserLayoutStore.SystemUser

    java.lang.Object
      org.jasig.portal.layout.simple.RDBMUserLayoutStore.SystemUser

All Implemented Interfaces:
  java.io.Serializable, IBasicEntity, IAdditionalDescriptor, IPerson

Enclosing class:
  RDBMUserLayoutStore

    private class RDBMUserLayoutStore.SystemUser

extends java.lang.Object
implements IPerson

Field Summary

Fields inherited from interface org.jasig.portal.security.IPerson
`USERNAME`

Constructor Summary
`private` | `RDBMUserLayoutStore.SystemUser()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String key)` Gets an attribute associated with the user
`java.util.Enumeration` | `getAttributeNames()` Returns the names of all of the attributes stored for the user
`java.util.Enumeration` | `getAttributes()` Gets all of the attributes associated with the user
`java.lang.Object[]` | `getAttributeValues(java.lang.String key)` Gets multiple values of an attribute associated with the user
`EntityIdentifier` | `getEntityIdentifier()`
`java.lang.String` | `getFullName()` Gets the full name of the user
`int` | `getID()` Gets the ID of the user
`ISecurityContext` | `getSecurityContext()` Gets the security context object associated with the user
`boolean` | `isGuest()` Checks to see if this user is considered a guest
`void` | `setAttribute(java.lang.String key, java.lang.Object value)` Associates an attribute with the user
`void` | `setAttributes(java.util.Map attrs)` Associates attributes with the user
`void` | `setFullName(java.lang.String sFullName)` Sets the full name of the user
`void` | `setID(int sID)` Sets the ID of the user
`void` | `setSecurityContext(ISecurityContext context)` Associates a security context object with the user

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDBMUserLayoutStore.SystemUser

    private RDBMUserLayoutStore.SystemUser()

Method Detail

### setID

    public void setID(int sID)

  Description copied from interface: `IPerson`
  Sets the ID of the user

  Specified by:
    `setID` in interface `IPerson`

### getID

    public int getID()

  Description copied from interface: `IPerson`
  Gets the ID of the user

  Specified by:
    `getID` in interface `IPerson`
  Returns:
    ID of the user

### setFullName

    public void setFullName(java.lang.String sFullName)

  Description copied from interface: `IPerson`
  Sets the full name of the user

  Specified by:
    `setFullName` in interface `IPerson`

### getFullName

    public java.lang.String getFullName()

  Description copied from interface: `IPerson`
  Gets the full name of the user

  Specified by:
    `getFullName` in interface `IPerson`
  Returns:
    full name of the user

### getAttribute

    public java.lang.Object getAttribute(java.lang.String key)

  Description copied from interface: `IPerson`
  Gets an attribute associated with the user

  Specified by:
    `getAttribute` in interface `IPerson`
  Returns:
    attribute associated with the user

### getAttributeValues

    public java.lang.Object[] getAttributeValues(java.lang.String key)

  Description copied from interface: `IPerson`
  Gets multiple values of an attribute associated with the user

  Specified by:
    `getAttributeValues` in interface `IPerson`
  Returns:
    attributes associated with the user

### setAttribute

    public void setAttribute(java.lang.String key,
                             java.lang.Object value)

  Description copied from interface: `IPerson`
  Associates an attribute with the user

  Specified by:
    `setAttribute` in interface `IPerson`

### setAttributes

    public void setAttributes(java.util.Map attrs)

  Description copied from interface: `IPerson`
  Associates attributes with the user

  Specified by:
    `setAttributes` in interface `IPerson`

### getAttributes

    public java.util.Enumeration getAttributes()

  Description copied from interface: `IPerson`
  Gets all of the attributes associated with the user

  Specified by:
    `getAttributes` in interface `IPerson`
  Returns:
    all of the attributes associated with the user

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Description copied from interface: `IPerson`
  Returns the names of all of the attributes stored for the user

  Specified by:
    `getAttributeNames` in interface `IPerson`
  Returns:
    names of all of the attributes stored for the user

### isGuest

    public boolean isGuest()

  Description copied from interface: `IPerson`
  Checks to see if this user is considered a guest

  Specified by:
    `isGuest` in interface `IPerson`
  Returns:
    true if user is considered a guest

### getSecurityContext

    public ISecurityContext getSecurityContext()

  Description copied from interface: `IPerson`
  Gets the security context object associated with the user

  Specified by:
    `getSecurityContext` in interface `IPerson`
  Returns:
    security context object associated with the user

### setSecurityContext

    public void setSecurityContext(ISecurityContext context)

  Description copied from interface: `IPerson`
  Associates a security context object with the user

  Specified by:
    `setSecurityContext` in interface `IPerson`

### getEntityIdentifier

    public EntityIdentifier getEntityIdentifier()

  Specified by:
    `getEntityIdentifier` in interface `IBasicEntity`
  Returns:
    EntityIdentifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD